## Fundamental Geometric Types
Geometry in the simulation is implemented in continuous two-dimensional space \( \mathbb{R}^2 \). Numerically geometric object are implemented using *spatial data model* used in [shapely](http://toblerity.org/shapely/manual.html) where fundamental geometric types are

* *Point* which represents individual point \( \mathbf{p} \in \mathbb{R}^2\).

* *LineString* which represents curve consisting of connected line segments. Closed *LineString* has special type called *LinearRing*. Numerically *LineString* is represented as sequence of points \( (\mathbf{p}_i)_{i \in \mathbb{N}} \) and if it is closed then the last point of the sequence is the same as first one.

* *Polygon* is surface created by the set of points contained inside and boudaries of a closed curve called *shell* and excluding points inside *holes* which the *shell* may have. Numerically polygons are represented as sequence of points same way as closed *LineStrings*.

All other geometric objects may be represented as collection or union of these type.

