## Collective Motion
*Set of Neighbouring Agents*

\[
A_{neigh} = \{i \in A \mid filters\}
\]

In depth view into *collective motion* as general phenomena is provided by \cite{Vicsek2012a}. In the context of crowd dynamics *collective motion*, also known as *herding* or *flocking*, is phenomena where agent \(i\) follows the average direction of set of \(n\) nearest neighboring agents whose distance from agent \(i\) is less than \(r > 0\). 

The angle between agents moving directions can also be restricted to only follow agents that are heading away from the agent \(|\sphericalangle(\mathbf{\tilde{v}}_i, \mathbf{\tilde{x}}_j)| < \alpha\) for example in *leader-follower* situations. 

Agent should also not be able to see through non-opaque obstacles.

*Collective motion* is defined as average motion of agent's neighbors

\[\langle \mathbf{v}_j  \rangle_{j \in A_{neigh}}\]

*Herding* and *leader-follower* model \cite{Helbing2000a,Burton2011,Ma2016}

\[
\mathbf{\hat{e}}_i = \mathrm{Normalize}(\mathrm{Normalize}(\langle \mathbf{x}_j  \rangle - \mathbf{x}_j)) + \mathrm{Normalize}(\langle \mathbf{v}_j  \rangle), \quad j \in A_{neigh}
\]

Parameters 

* \(\mathbf{x}_i\) is the position of agent \(i\)
* \(\mathbf{v}_j\) is the velocity of agent \(j\)

