## Social Force Between Agents
Social force is force that accounts for collision avoidance between agents. Simulation uses algorithm proposed in \cite{Karamouzas2014b}. The idea of the algorithm is that the agents can be though as particles that having *Boltzmann like potential* between one another, but this potential unlike model proposed by \cite{Helbing2000a}, does not depend on the distance between agents, but their linearly extrapolated *time-to-collision* \(\tau\). The potential 

\[
E(\tau) = \frac{k}{\tau^{2}} \exp \left( -\frac{\tau}{\tau_{0}} \right), \quad \tau > 0
\]

Force can be derived from the potential by taking spatial gradient of the potential

\[
\mathbf{f}_{social} = -\nabla_{\tilde{\mathbf{x}}} E(\tau)
                 = - k \left(\frac{1}{\tau^{2}}\right) \left(\frac{2}{\tau} + \frac{1}{\tau_{0}}\right) \exp\left (-\frac{\tau}{\tau_{0}}\right ) \nabla_{\tilde{\mathbf{x}}} \tau, \quad \tau > 0
\]

for other values of \(\tau\) force is zero vector \(\mathbf{0}\).

Parameters

* \(\tilde{\mathbf{x}} = \mathbf{x}_i - \mathbf{x}_j\) is relative position between agent \(i\) and \(j\)
* \(k\) is scaling coefficient for the force
* \(\tau_0\) is *interaction time horizon* meaning the magnitude of *time-to-collision* \(\tau\) until the force starts to take an major effect.

Formulation for *time-to-collision* \(\tau\) can be obstained by constructing formula for *skin-to-skin* distance \(h\) between agents as function of \(\tau\)  when linearly extrapolating the current trajectories of the agents. The formulation depends of the agent model that is being used (figs. \ref{566296}, \ref{996838}, \ref{296219}). 

