## Contact Force
Physical contact force with damping between agent and object \cite{Helbing2000a,Langston2006}.

\[\mathbf{f}_{contact} = \text{tangential friction} + \text{counter compressive force} + \text{damping}\]

* Tangential friction \[h \kappa \cdot (\mathbf{\tilde{v}} \cdot \hat{\mathbf{t}}) \hat{\mathbf{t}}\]
* Counter compressive force \[- h \cdot \mu \cdot \hat{\mathbf{n}}\]
* Damping \[c \cdot (\mathbf{\tilde{v}} \cdot \hat{\mathbf{n}}) \hat{\mathbf{n}}\]

Total force

\[
\mathbf{f}_{contact} = 
h \kappa \cdot (\mathbf{\tilde{v}} \cdot \hat{\mathbf{t}}) \hat{\mathbf{t}} 
- h \cdot \mu \cdot \hat{\mathbf{n}} 
+ c \cdot (\mathbf{\tilde{v}} \cdot \hat{\mathbf{n}}) \hat{\mathbf{n}},
\]

Parameters

* \(h < 0\) is skin-to-skin distance between agent and the other object. Other object can be for example other agent or obstacle. If \(h \geq 0\) there is obviously no contact and therefore contact force is zero vector \(\mathbf{0}\).
* \(\mathbf{\tilde{v}} = \mathbf{v}_i - \mathbf{v}_{obj}\) is relative velocity between the agent \(i\) and object
* \(\hat{\mathbf{n}}\) is normal unit vector between agent and the object
* \(\hat{\mathbf{t}} = R(270^{\circ}) \hat{\mathbf{n}}\) is the tangential unit vector between agent and the object. It can be calculated from the normal unit vector by rotating 270 degrees.
* \(\mu \geq 0\) counter compressive force coefficient
* \(\kappa \geq 0\) is the tangential friction coefficient
* \(c \geq 0\) is the damping coefficient
