



## Integrator
Differential equation

\[
m \frac{d^{2}}{d t^{2}} \mathbf{x}(t) = \mathbf{f}(t)
\]

Velocity verlet

1. \[\mathbf{v}_{k+1/2} = \mathbf{v}_{k} + \frac{1}{2} a_{k} \Delta t\]
2. \[\mathbf{x}_{k+1} = \mathbf{x}_{k} + \mathbf{v}_{k+1/2} \Delta t\]
3. \[a_{k+1} = \mathbf{f}_{k+1} / m\]
4. \[\mathbf{v}_{k+1} = \mathbf{v}_{k+1/2} + \frac{1}{2} a_{k+1} \Delta t\]


Adaptive timestep

Timestep \(\Delta t\) is selected from interval  \([\Delta t_{min}, \Delta t_{max}]\) by bounding the maximum change of position \(\Delta x\) that an agent  can take per iteration cycle can be obstained from 

\[\Delta x = c \Delta t_{max} \max_{i\in A} v_i^0\]

\[\Delta t_{mid} = \frac{\Delta x}{\max_{i \in A} \|\mathbf{v}_i\|}\]

\[
\Delta t =
\begin{cases}
\Delta t_{min} & \Delta t_{mid} < \Delta t_{min} \\
\Delta t_{mid} &  \\
\Delta t_{max} & \Delta t_{mid} > \Delta t_{max}
\end{cases}
\]

Parameters

* \(c > 0\) is scaling coefficient
* \(v_i\) is agent's current velocity
* \(v_i^0\) is agent's target velocity


