# Crowd Quantities and Measurements
\cite{Zhang2011}

## Velocity 
\cite{Steffen2010}


## Density
\cite{Steffen2010}

### Classical
Classical definition of density \(D\) is defined number of agents per unit of area

\[D = \frac{N}{|A|}\]

Paramters

* \(N\) is the number of agents inside measuring area \(A\)
* \(|A|\) is the size of the measuring area \(A\)
 
However  the classical definition of density does not work as well when measuring density of crowd or granular meadia as it does for measuing density of fluids which have \(n > 10^{18}\) particles per \(\mathrm{mm}^{3}\) compared to crowds where very high density would be \(N=4\) per \(\mathrm{m}^2\).

### Voronoi
Density definition based on [Voronoi diagram](https://en.wikipedia.org/wiki/Voronoi_diagram)


## Pressure
\cite{Moussaid2011}


## Fundamental Diagram


## Directional Correlation Function
Directional correlation function can be used to determine *leader-follower* relationships within swarms of self-propelled particles. \cite{Vicsek2012a}

\[
c_{ij}(\tau) = \langle \mathbf{\hat{e}}_i(t) \cdot \mathbf{v}_j(t + \tau) \rangle_{t \in \{t_n, t_{n+1}, \ldots, t_{n+m}\}}
\]

Value \(c_{ij}\) tells us to what degree the velocity of the particle \(i\) is correlated at time  \(t\) is correlated with that of particle \(j\) at time \(t+\tau\).

