## Field Objects
The collection of static geometric objects that can exists in the simulation is called *Field*

* *Domain* \( \Omega \subset \mathbb{R}^2 \) which is a region that contains all the other objects and agents. Agents inside the *domain* are considered *active* and when agent walk outside the domain they turn *inactive* and will be ignored when computing the simulation *logic*. 

* *Obstacles* \( \mathcal{O}  \subset \Omega \) are impassable geometric objects of the domain. Agents have have psychological tendency to try to avoid colliding with an obstacle, but if they do, for example being pushed by other agents, there will be friction force between the agent and the obstacles. Obstacles avoidance is handled by a navigation algorithm.

* *Targets* \( \mathcal{T}_i \subset \Omega \) are passable geometric objects of the domain. Agents can have a psychological tendency  to try to reach one or more of these regions. This psycological tendency is also handled by a navigation algorithm. A special case of targets are *exit doors* \( \mathcal{E}_i \), which are represented as line segment between two points \( \{\mathbf{p}_0, \mathbf{p}_1\} \) and *exit doors* of length \(l < 3\,\mathrm{m} \) are as considered *narrow exit doors*.
 
* *Spawns* \( \mathcal{S}_i  \subset \Omega \) are passable geometric objects of the domain. These are the objects where new agents can be placed in the beginning or during the simulation. New points are sampled uniformally from the the geometry and algorithm checks that if agent is placed into the newly created point that is does not overlap with other agents or obstacles. If there is no overlap agent can be placed into the points. Individual *spawns* should be heterogenous (same geometric type) because it is otherwise impossible to determine a sampling algorithm. 
