Navigation also non as path-planning is algorithm that is responsible for solving target direction \(\mathbf{\hat{e}_0}\) which is an unit vector that directs agents to their targets if they have one. Agents without a target are ignored.  One proposed way of solving this problem is to think it as [*continous shortest path*](https://en.wikipedia.org/wiki/Eikonal_equation#Continuous_shortest-path_problems) problem and solve it by solving *Eikonal equation*. \cite{Kretz2011a}

\[
\left \| \nabla S(\mathbf{x}) \right \| = \frac{1}{f(\mathbf{x})}, \quad \mathbf{x} \in \Omega
\]

where function \(f : \bar{\Omega} \mapsto (0, +\infty)\) is the speed of travel at point \(\mathbf{x}\) with boundary conditions 

\[
\begin{cases}
   S(\mathbf{x}) = 0, & \mathbf{x} \in \mathcal{T} \\
   S(\mathbf{x}) \to \infty, & \mathbf{x} \in \mathcal{O}
\end{cases}
\]

Initial values for speed of travel are set

\[
\begin{cases}
   f(\mathbf{x}) = 1, & \mathbf{x} \in \Omega \setminus \mathcal{O} \\
   f(\mathbf{x}) \to 0, & \mathbf{x} \in \mathcal{O}
\end{cases}
\]

Numerically solving Eikonal equation can be done using [Fast Marching Method (FMM)](https://scikit-fmm.readthedocs.io/en/latest/) or [Fast Iterative Method (FIM)](https://github.com/SCIInstitute/SCI-Solver_Eikonal) and the initial values and boudary conditions are set ways that are numerically feasible. For example the `scikit-fmm` which is Python package uses masked values in place of points \(\mathbf{x}\) where \(f(\mathbf{x}) \to 0\). Numerically Eikonal equation is solved in discrete mesh, for example FMM uses grid mesh (see `meshgrid` commands in Matlab or Numpy). Initial values are placed into the grid after which the solver can solve it.

After solving the eikonal equation we acquire *distance map* \(S(\mathbf{x})\) which is a function that returns the distance from target \(\mathcal{T}\) at point \(\mathbf{x}\). To acquire *direction map* we compute normalized gradient of the distance map 

\[
\mathbf{\hat{e}}(\mathbf{x}) = -\frac{\nabla S(\mathbf{x})}{\| \nabla S(\mathbf{x}) \|}
\] 

Direction map returns new unit vectors \(\mathbf{\hat{e}}\) at point \(\mathbf{x}\) towards direction of target \(\mathcal{T}\).



